<script>
	import { browser } from '$app/environment';
	import Carousel from '../../../node_modules/svelte-carousel';
	import CarouselItem from './CarouselItem.svelte';
	let carousel; // for calling methods of the carousel instance

	const handleNextClick = () => {
		carousel.goToNext();
	};
</script>

{#if browser}
	<div class="w-full h-full text-white flex items-center justify-center">
		<Carousel bind:this={carousel}>
			<CarouselItem
				imgUrl="https://images.unsplash.com/photo-1555507036-ab1f4038808a?ixlib=rb-4.0.3&ixid=MnwxMjA3fDB8MHxwaG90by1wYWdlfHx8fGVufDB8fHx8&auto=format&fit=crop&w=1026&q=80"
			/>
		</Carousel>
	</div>
{/if}
